---
updatedAt: 2026-04-23T18:12:51.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List key claims

List key DICT claims

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix management",
    "description": "API responsible for providing Pix operations (related to DICT) via integrating with external providers",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "0.0.1"
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/pix-dict",
      "description": "Sandbox API server for testing."
    }
  ],
  "tags": [
    {
      "name": "Claims",
      "description": "Manage key ownership and key portability endpoints"
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "parameters": {
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "ClaimStatusQuery": {
        "in": "query",
        "name": "status",
        "schema": {
          "type": "string",
          "enum": [
            "OPEN",
            "WAITING_RESOLUTION",
            "CONFIRMED",
            "CANCELLED",
            "COMPLETED"
          ]
        },
        "description": "Claim status filter",
        "example": "OPEN"
      },
      "ClaimTypeQuery": {
        "in": "query",
        "name": "type",
        "schema": {
          "type": "string",
          "enum": [
            "OWNERSHIP",
            "PORTABILITY"
          ]
        },
        "description": "Key claim type filter:\n\n* `OWNERSHIP` - Transfers key ownership between individuals in the same or another bank.\n* `PORTABILITY`- Transfers key ownership for the same individual to another bank.\n",
        "example": "OWNERSHIP"
      }
    },
    "headers": {
      "XCidResponseHeader": {
        "description": "Request tracking identifier.",
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "AccountID": {
        "type": "string",
        "description": "Pismo account ID",
        "example": "8675309"
      },
      "AccountNumber": {
        "type": "string",
        "description": "Account number.",
        "maxLength": 20,
        "example": "98765432"
      },
      "AccountType": {
        "type": "string",
        "enum": [
          "CACC",
          "SLRY",
          "SVGS",
          "TRAN"
        ],
        "maxLength": 4,
        "description": "Account type:  \n  `CACC` - Checking account\n  `SVGS` - Savings account\n  `TRAN` - Transactional account (Brazil only). Also known as \"conta corrente\" in Portuguese, this is a bank account type designed for everyday financial transactions and is the most common type individuals and businesses use for day-to-day banking. \n  `SLRY` - Salary account. Employer deposits a fixed amount every month.\n",
        "example": "TRAN"
      },
      "Branch": {
        "type": "string",
        "description": "Bank-assigned branch ID or ISPB (Identifcador do Sistema de Pagamento Brazil) number - the Brazilian Payment System identifier, an 8-digit value.",
        "example": "011"
      },
      "claim.Claimer": {
        "type": "object",
        "required": [
          "document_number",
          "name"
        ],
        "properties": {
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "name": {
            "$ref": "#/components/schemas/PersonName"
          },
          "trade_name": {
            "$ref": "#/components/schemas/TradeName"
          },
          "type": {
            "$ref": "#/components/schemas/ClaimType"
          }
        }
      },
      "claim.ClaimerAccount": {
        "type": "object",
        "required": [
          "account_number",
          "account_type",
          "opening_datetime",
          "participant"
        ],
        "properties": {
          "account_number": {
            "$ref": "#/components/schemas/AccountNumber"
          },
          "account_type": {
            "$ref": "#/components/schemas/AccountType"
          },
          "opening_datetime": {
            "$ref": "#/components/schemas/OpeningDatetime"
          },
          "participant": {
            "$ref": "#/components/schemas/Participant"
          },
          "branch": {
            "$ref": "#/components/schemas/Branch"
          }
        }
      },
      "claim.ListItemResponse": {
        "type": "object",
        "required": [
          "account_id",
          "claim_id",
          "claim_type",
          "claimer",
          "claimer_account",
          "key",
          "key_type",
          "last_modified",
          "status",
          "creation_datetime",
          "resolution_period_end"
        ],
        "properties": {
          "account_id": {
            "$ref": "#/components/schemas/AccountID"
          },
          "claim_id": {
            "$ref": "#/components/schemas/ClaimID"
          },
          "claim_type": {
            "$ref": "#/components/schemas/ClaimType"
          },
          "claimer": {
            "$ref": "#/components/schemas/claim.Claimer"
          },
          "claimer_account": {
            "$ref": "#/components/schemas/claim.ClaimerAccount"
          },
          "key": {
            "$ref": "#/components/schemas/Key"
          },
          "key_type": {
            "$ref": "#/components/schemas/KeyType"
          },
          "last_modified": {
            "$ref": "#/components/schemas/LastModifiedDatetime"
          },
          "status": {
            "$ref": "#/components/schemas/ClaimStatus"
          },
          "creation_datetime": {
            "$ref": "#/components/schemas/CreationDatetime"
          },
          "resolution_period_end": {
            "$ref": "#/components/schemas/ResolutionPeriodEndDatetime"
          },
          "reason": {
            "$ref": "#/components/schemas/Reason"
          },
          "completion_period_end": {
            "$ref": "#/components/schemas/CompletionPeriodEndDatetime"
          }
        }
      },
      "claim.ListResponse": {
        "type": "object",
        "properties": {
          "claims": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/claim.ListItemResponse"
            }
          }
        }
      },
      "ClaimID": {
        "type": "string",
        "description": "Claim ID for key transfer. The Create key claim or Create DICT key claim endpoint returns this field.",
        "example": "123e4567-e89b-12d3-a456-426655440000"
      },
      "ClaimStatus": {
        "type": "string",
        "description": "Claim status",
        "example": "OPEN",
        "enum": [
          "OPEN",
          "WAITING_RESOLUTION",
          "CONFIRMED",
          "CANCELLED",
          "COMPLETED"
        ]
      },
      "ClaimType": {
        "type": "string",
        "description": "Key claim type:\n\n* `OWNERSHIP` - Transfers key ownership between individuals in the same or another bank.\n* `PORTABILITY`- Transfers key ownership for the same individual to another bank.\n",
        "example": "OWNERSHIP",
        "enum": [
          "OWNERSHIP",
          "PORTABILITY"
        ]
      },
      "CompletionPeriodEndDatetime": {
        "type": "string",
        "format": "date-time",
        "description": "Completion period end for claim. Present for claim type `OWNERSHIP`. ISO 8601 format.",
        "example": "2020-01-24T10:00:00Z"
      },
      "CreationDatetime": {
        "type": "string",
        "description": "Creation datetime. A RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`.",
        "format": "date-time",
        "example": "2020-08-13T13:49:03Z"
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 11,
        "maxLength": 14,
        "example": "123412341234"
      },
      "Key": {
        "type": "string",
        "description": "Value, based on a key's type, used to encrypt Pix key.",
        "maxLength": 77,
        "example": "al_fresco@bourdain.com"
      },
      "KeyType": {
        "type": "string",
        "description": "User information that can be used to create a Pix key:\n* `CPF` - Cadastro de Pessoas Fisicas (Indiviual Taxpayer Registry) number. Similar to a Social Security number in the US. \n* `CNPJ` - Cadastro Nacional de Pessoa Juridica (National Registry of Legal Entities) number. Unique ID for legal entities, such as companies and organizations, in Brazil\n* `EMAIL` - Email \n* `PHONE` - Phone number\n* `EVP` - Endereco de pagamento virtual (virtual payment address). A randomly-generated UUID number.\n",
        "enum": [
          "CPF",
          "CNPJ",
          "PHONE",
          "EMAIL",
          "EVP"
        ],
        "example": "EMAIL"
      },
      "LastModifiedDatetime": {
        "type": "string",
        "format": "date-time",
        "description": "Last modified datetime. A RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`.",
        "example": "2020-08-13T13:49:03Z"
      },
      "message.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/message.PayloadMessage"
            }
          }
        }
      },
      "message.ExternalMessage": {
        "required": [
          "code",
          "message"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.Message": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "example": "EPDA0001"
          },
          "details": {
            "$ref": "#/components/schemas/message.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "User not found"
          }
        }
      },
      "message.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter in error",
            "example": "query parameter"
          },
          "message": {
            "type": "string",
            "description": "Error message",
            "example": "Generic error"
          }
        }
      },
      "message.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Field in error",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Error messsage",
            "example": "Generic error"
          }
        }
      },
      "OpeningDatetime": {
        "type": "string",
        "description": "Opening date time. A RFC 3339 date-time value. For example -  `2023-04-12T23:20:50.52Z`.",
        "format": "date-time",
        "example": "2020-08-13T13:49:03Z"
      },
      "Participant": {
        "type": "string",
        "description": "Participant's ISPB (Identifcador do Sistema de Pagamento Brazil) number - the Brazilian Payment System identifier, an 8-digit value.",
        "maxLength": 8,
        "example": "00115678"
      },
      "PersonName": {
        "type": "string",
        "description": "Person's name",
        "maxLength": 100,
        "example": "Jerry Atrick"
      },
      "Reason": {
        "type": "string",
        "description": "Reason for request",
        "example": "USER_REQUESTED",
        "enum": [
          "USER_REQUESTED",
          "ACCOUNT_CLOSURE",
          "BRANCH_TRANSFER",
          "RECONCILIATION",
          "FRAUD",
          "DEFAULT_OPERATION",
          "RFB_VALIDATION"
        ]
      },
      "ResolutionPeriodEndDatetime": {
        "type": "string",
        "format": "date-time",
        "description": "Resolution period end for claim. ISO 8601 format.",
        "example": "2020-01-17T10:00:00Z"
      },
      "TradeName": {
        "type": "string",
        "description": "Name under which the business operates. Not necessarily the same as the legal name.",
        "maxLength": 100,
        "example": "Acme Widgets"
      }
    },
    "responses": {
      "400BadRequest": {
        "description": "Bad Request",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      },
      "403Forbidden": {
        "description": "Forbidden",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "EPDA0009": {
                "summary": "Missing required header 'x-tenant'",
                "value": {
                  "code": "EPDA0009",
                  "message": "Missing required header 'x-tenant'"
                }
              },
              "EPDA0010": {
                "summary": "Missing required header 'x-account-id'",
                "value": {
                  "code": "EPDA0010",
                  "message": "Missing required header 'x-account-id'"
                }
              },
              "EPDA0152": {
                "summary": "Missing required param 'id'",
                "value": {
                  "code": "EPDA0152",
                  "message": "Missing required param 'id'"
                }
              }
            }
          }
        }
      },
      "404NotFound": {
        "description": "Not Found",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      },
      "500InternalServerError": {
        "description": "Internal server errpr",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            }
          }
        }
      },
      "502BadGateway": {
        "description": "Bad Gateway",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Provider authentication service error": {
                "value": {
                  "code": "EPDG0020",
                  "message": "Provider authentication service is unable to complete the request"
                }
              }
            }
          }
        }
      },
      "504GatewayTimeout1": {
        "description": "Gateway Timeout",
        "headers": {
          "x-cid": {
            "$ref": "#/components/headers/XCidResponseHeader"
          }
        },
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/message.Message"
            },
            "examples": {
              "Service timeout": {
                "value": {
                  "code": "EPDA0000",
                  "message": "Timeout while executing the request"
                }
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "paths": {
    "/v2/pix/claims": {
      "get": {
        "summary": "List key claims",
        "description": "List key DICT claims",
        "operationId": "get-dict-key-claims",
        "tags": [
          "Claims"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/ClaimTypeQuery"
          },
          {
            "$ref": "#/components/parameters/ClaimStatusQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "List claims",
            "headers": {
              "x-cid": {
                "$ref": "#/components/headers/XCidResponseHeader"
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/claim.ListResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "403": {
            "$ref": "#/components/responses/403Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServerError"
          },
          "502": {
            "$ref": "#/components/responses/502BadGateway"
          },
          "504": {
            "$ref": "#/components/responses/504GatewayTimeout1"
          }
        }
      }
    }
  }
}
```